#ifndef SOCCEROSD_H
#define SOCCEROSD_H

#include <string>

#include <vdr/osd.h>
#include <vdr/menu.h>

// -------------------------- cSoccer -------------------------- //

class cSoccer : public cOsdMenu {
private:
  eOSState Execute(void);
  int GetTab(int Tab);
  int loadRanking(const char *file);
  void reloadData();
public:
  cSoccer(void);
  virtual ~cSoccer();
  virtual eOSState ProcessKey(eKeys Key);	

};



// -------------------------- cResults -------------------------- //

class cResults : public cMenuText {
private:
  std::string text;
public:
  cResults();
  virtual eOSState ProcessKey(eKeys Key);	
  int loadResults(const char *file);
};

#endif // __SOCCEROSD_H
